function z = optube(x)
% find tube parameters.  FSOLVE (not used) is in optimization toolbox.
% norm(x) is the square root of the sum of the squares of x.

global TubeType MU EX KG1 KGX KP KVB Vp Vg Vs Vsi Idata ...
   ERR VCT PENFN WEIGHT NOPT SOLVER
if (WEIGHT == 2)	% Logarithmic weighing (intermediate between 1,3).
   if (strcmp(SOLVER,'fsolve')) z = (tucalc(x) - Idata).*log(Idata)./Idata;
   else  z = norm((tucalc(x) - Idata).*log(Idata)./Idata);  end 
elseif (WEIGHT == 3)	% Weight relative difference.
   if (strcmp(SOLVER,'fsolve')) z = (tucalc(x) - Idata)./Idata;
   else  z = norm((tucalc(x) - Idata)./Idata);  end
else	% WEIGHT == 1 or other:  Weight difference in currents.
   if (strcmp(SOLVER,'fsolve')) z = tucalc(x) - Idata;
   else z = norm(tucalc(x) - Idata);  end
end
ERR = z;